- copy the file within the dir to temp name with the metadata (perm, dates.. )
- if copy created on same dc delete it and skip
- if copy has diffrent size delete it and skip
- if all ok rename orig name to temp, rename the copy to orig name and delete the old orig
- If anything fails revert and skip file. 
